List targets requiring backup wallet maintenance
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/databases/RABackupMaintenance
Lists database targets that require SBT backup wallet synchronization after a Recovery Appliance virtual private catalog user password or TLS trusted certificate changes.
Request
Query Parameters
-
limit: integer
Minimum Value:
1Maximum number of targets returned in one page.Default Value:50 -
page: string
Opaque URL-safe Base64 pagination cursor.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Pending SBT backup wallet maintenance for database targets configured to send backups and redo to a Recovery Appliance.
Headers
-
ORCL-EM-PROCESSING-TIME:
Elapsed time (in milliseconds) since the deployment procedure is submitted.
Root Schema : ListMaintenanceResponse
Type:
objectPaginated collection of database targets requiring Recovery Appliance backup wallet maintenance.
Show Source
-
count(required): integer
Number of targets included in this response page.
-
links(required): object
links
Pagination links for this collection.
-
targetList(required): array
targetList
Database targets and their backup wallet maintenance information.
-
totalTargetsRequiringMaintenance(required): integer
Total number of targets requiring maintenance.
Example:
{
"totalTargetsRequiringMaintenance":1075,
"count":30,
"targetList":[
{
"targetName":"mj_DB1",
"targetType":"oracle_database",
"maintenancesRequired":[
"The password for VPC user vpcuser1 on Recovery Appliance Alta has changed and must be updated.",
"The trusted certificate for Recovery Appliance Alta has changed and must be updated."
]
},
{
"targetName":"bD_mmB2",
"targetType":"rac_database",
"maintenancesRequired":[
"Password of VPC user rman used for Recovery appliance mjra has changed and needs to be updated."
]
}
],
"links":{
"self":{
"href":"/em/api/databases/RABackupMaintenance?limit=30"
},
"next":{
"href":"/em/api/databases/RABackupMaintenance?limit=30&page=ZXhhbXBsZUN1cnNvcg=="
}
}
}Nested Schema : links
Type:
objectPagination links for this collection.
Show Source
-
next: object
Link
It represents a Link
-
previous: object
Link
It represents a Link
-
self(required): object
Link
It represents a Link
Nested Schema : targetList
Type:
arrayDatabase targets and their backup wallet maintenance information.
Show Source
Nested Schema : TargetMaintenanceInfo
Type:
Show Source
object-
maintenancesRequired: array
maintenancesRequired
Required backup wallet maintenance actions for the target.
-
targetName: string
Target name.
-
targetType: string
Target type.
Nested Schema : maintenancesRequired
Type:
arrayRequired backup wallet maintenance actions for the target.
Show Source
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message